

/* 2 problemen lijken zich voor te doen:
    - Als ik beide usb poorten aan mijn pc heb verbonden en ik upload een programma, dan blijft het uploaden op 0% steken en brand het rode lampsje op de k64f fel.
    - Als ik de tweede main() function gebruik (de eerste uiteraard als comment) en dan upload (met 1 kabel, dan doet-ie het wel), dat lijkt het goed te gaan; 
        Echter, als ik de kabel verwissel om HIDscope te kunnen gebruiken, dan herkent mijn pc de mbed niet meer.
*/


#include "mbed.h"
#include "HIDScope.h"

AnalogIn potmeter(A0);
HIDScope scope(3);
PwmOut speed(D6);
DigitalOut direction(D7);
DigitalIn enc1(D12);
DigitalIn enc2(D13);
Ticker timer;


void scopeSend(){
    scope.set(0,potmeter.read());
    scope.set(1,enc1.read());
    scope.set(2,enc2.read());
    scope.send();
}
     
    // Verhoog elke seconde de snelheid vd motor met 10%, zodra hij op max snelheid draait, begin opnieuw.
int main(){
    direction = 1;
    float n = 10;
    timer.attach_us(scopeSend,1e4);    
    for(float i = 0; i <= n;i++) {
        wait(1.0);
        float v = i/10;
        speed.write(v);
        if(i==n){
             i=0;
        }  
    }
}

    // Maak de snelheid van de motor afhankelijk van de stand van de potmeter.
/*
int main(){
    direction = 1;
    timer.attach_us(scopeSend,1e2); 
    while(1){
        float v = potmeter.read();
        speed.write(v);
        wait(0.5);
    }
}
*/

